/// MessageListener.java
// MessageListener is an interface for classes that wish to
// receive new chat messages.
package org.dyndns.fishyu.messenger;

import java.util.*;

public interface MessageListener {

   // receive new chat message
   public void PriMessageReceived( String from, String to, String message );
   
   public void ChannelMessageReceived( String from, String message, char channel );
   
   
   public void UserlistMessageReceived( String message );
   
   public void ChannelUserlistReceived( String message );
   
   public void killMessageReceived( String message );
   
   public void photoMessageReceived( String message );
   
}